---
title: "使用反向代理时，三思其参数"
date: 2022-08-02T19:36:10+08:00
tags: []
categories: []
weight: 50
show_comments: true
draft: false
---

在使用反向代理时，请仔细检查是否需要使用额外的参数，比如是否取消缓存等。

在我更换 HTTP 服务器从 Nginx 到 Apache httpd 的时候，只是简单配置了反向代理，却忘记了参考原来配置文件的各种参数，于是遗漏了取消缓存，导致出现了诸多下面的报错，还百思不得其解，直到突然看到有人配置反向代理时添加了取消缓存的参数。

```
Aug 02 12:38:37 de dendrite-monolith-server[3370784]: time="2022-08-02T10:38:37.458641620Z" level=info msg="Invalid request signature" error="Bad signature from \"halogen.city\" with ID \"ed25519:a_FRIi\"" req.id=S4xfSCwZE9iV req.method=GET req.path="/_matrix/federation/v1/user/devices/@leafee98:leafee98.com"
Aug 02 12:38:56 de dendrite-monolith-server[3370784]: time="2022-08-02T10:38:56.190355143Z" level=info msg="Invalid request signature" error="Bad signature from \"mozilla.org\" with ID \"ed25519:0\"" req.id=cSReFrJtuPjM req.method=GET req.path="/_matrix/federation/v1/user/devices/@leafee98:leafee98.com"
Aug 02 12:39:02 de dendrite-monolith-server[3370784]: time="2022-08-02T10:39:02.754663122Z" level=info msg="Invalid request signature" error="Bad signature from \"vern.cc\" with ID \"ed25519:a_CrkL\"" req.id=SXvq2LSteYuq req.method=GET req.path="/_matrix/federation/v1/user/devices/@leafee98:leafee98.com"
```

书此文，以警后人，共勉。
